# getApiConfigurationName

abstract fun getApiConfigurationName(): String

Returns the name of the API configuration for this source set. The API configuration contains dependencies which are exported by this source set, and is not transitive by default. This configuration is not meant to be resolved and should only contain dependencies that are required when compiling against this component.

#### Return

The API configuration name

#### Since

3.3